LibreOffice: AccessibleDrawDocumentView Service Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
AccessibleDrawDocumentView Service Reference

The AccessibleDrawDocumentView service is implemented by views of Draw and Impress documents. More...

`import "AccessibleDrawDocumentView.idl";`

Inheritance diagram for AccessibleDrawDocumentView:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessible
| Base interface for being accessible.
interface | ::com::sun::star::accessibility::XAccessibleContext
| Provide access to the view of a document.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| Provide access to a draw document's graphical representation.

## Additional Inherited Members
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.

## Detailed Description

The AccessibleDrawDocumentView service is implemented by views of Draw and Impress documents.

An object that implements the AccessibleDrawDocumentView service provides information about the view of a Draw or Impress document in one of the various view modes. With its children it gives access to the current page and the shapes on that page.

This service gives a simplified view on the underlying document. It tries both to keep the structure of the accessibility representation tree as simple as possible and provide as much relevant information as possible. This has the following consequences:

1. Only the current draw page and only the visible shapes are accessible. To switch to another page or to access shapes that lie outside the currently visible area, the user has to issue these requests manually or programmatically through the usual channels, e.g. pressing keys or selecting menu entries.
2. The hierarchy exposed through the com::sun::star::accessibility::XAccessibleContext interface does not necessarily correspond directly to the underlying draw page structure. Internal nodes in this hierarchy are introduced by group shapes, 3D scenes, and OLE objects.
3. The view modes editing view, outline view, slides view, notes view, handout view, and presentation view are not exposed explicitly. However, if there happens to be a view mode change which results in a rearrangement of the visible shapes, the user gets notified of this.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessible

interface ::com::sun::star::accessibility::XAccessible

Base interface for being accessible.

It gives access to the com::sun::star::accessibility::XAccessibleContext interface.

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

Provide access to a draw document's graphical representation.

The main purpose of this interface is to provide a bounding box of the currently visible area and to let the user find children (i.e. shapes) that cover a given test point. The more interesting part of the graphical representation of a draw page lies in its children. See the AccessibleShape service for more information about shapes.

See also
  AccessibleShape

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

Provide access to the view of a document.

You can access the following information:

- Role: The object's role might be com::sun::star::accessibility::AccessibleRole::DOCUMENT or com::sun::star::accessibility::AccessibleRole::DOCUMENT_PRESENTATION , the former for a Draw and the latter for an Impress document.
- Name: Its name is "AccessibleDrawDocumentView", "AccessibleOutlineView", or "slide window".
- Description: The description is "Draw Document", "Accessible Draw Document Outline", or "slide window".
- Children: The shapes of the current draw page that are currently visible are direct and indirect children of (an object implementing) this service. Group shapes, 3D scenes, and OLE objects introduce further levels into the hierarchy. If the visibility of shapes changes–due to scrolling, switching the current draw page, or changing the view mode–the appropriate listeners are called and the user gets informed of this.
- Parent: The parent will usually be the window that contains the draw document view. It has to be set via implementation dependent ways.
- Relations: Relations are set and modified from the outside.
- States: com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if a document view becomes obsolete like when the window, which displays the view, is closed. Otherwise the states com::sun::star::accessibility::AccessibleStateType::ENABLED, com::sun::star::accessibility::AccessibleStateType::SHOWING, com::sun::star::accessibility::AccessibleStateType::VISIBLE, com::sun::star::accessibility::AccessibleStateType::FOCUSABLE, and com::sun::star::accessibility::AccessibleStateType::SELECTABLE are always set.
- Locale: Is obtained from the parent and returned unchanged.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/AccessibleDrawDocumentView.idl